# 🧶 Feeds

### <mark style="color:green;">GET</mark> [`api/feeds/friends-v1`](https://mobile.bereal.com/api/feeds/friends-v1)

Gets friends feed.

<details>

<summary><mark style="color:yellow;">Headers</mark></summary>

```javascript
{
  "Accept-Encoding": "gzip",
  "Authorization": "Bearer [token]",
  "bereal-app-language": "en",
  "bereal-app-version": "1.9.2",
  "bereal-app-version-code": "1548",
  "bereal-device-id": "00e1707704f65c2c",
  "bereal-device-language": "en",
  "bereal-os-version": "13",
  "bereal-platform": "android",
  "bereal-timezone": "Europe/Paris",
  "Connection": "Keep-Alive",
  "Host": "mobile.bereal.com",
  "If-None-Match": 'W/"1a56-suRCPxfItb+w1VOaohEV/pF9F+4"',
  "User-Agent": "okhttp/4.11.0",
  "x-datadog-sampling-priority": "0"
};
```

</details>

### <mark style="color:green;">GET</mark> [`api/feeds/friends-of-friends`](https://mobile.bereal.com/api/feeds/friends-of-friends)

Gets friends of friends feed.

{% hint style="warning" %}
This endpoint doesn't return any data if you haven't posted a BeReal shared with friends of friends. It differs from the discovery feed, which is accessible even then.
{% endhint %}

<details>

<summary><mark style="color:yellow;">Headers</mark></summary>

```javascript
{
  "Accept-Encoding": "gzip",
  "Authorization": "Bearer [token]",
  "bereal-app-language": "en",
  "bereal-app-version": "1.9.2",
  "bereal-app-version-code": "1548",
  "bereal-device-id": "00e1707704f65c2c",
  "bereal-device-language": "en",
  "bereal-os-version": "13",
  "bereal-platform": "android",
  "bereal-timezone": "Europe/Paris",
  "Connection": "Keep-Alive",
  "Host": "mobile.bereal.com",
  "If-None-Match": 'W/"1a56-suRCPxfItb+w1VOaohEV/pF9F+4"',
  "User-Agent": "okhttp/4.11.0",
  "x-datadog-sampling-priority": "0"
};
```

</details>

### <mark style="color:green;">GET</mark> [`api/feeds/discovery`](https://mobile.bereal.com/api/feeds/discovery)

Gets discovery feed.

<details>

<summary><mark style="color:yellow;">Headers</mark></summary>

```javascript
{
  "Accept-Encoding": "gzip",
  "Authorization": "Bearer [token]",
  "bereal-app-language": "en",
  "bereal-app-version": "1.9.2",
  "bereal-app-version-code": "1548",
  "bereal-device-id": "00e1707704f65c2c",
  "bereal-device-language": "en",
  "bereal-os-version": "13",
  "bereal-platform": "android",
  "bereal-timezone": "Europe/Paris",
  "Connection": "Keep-Alive",
  "Host": "mobile.bereal.com",
  "If-None-Match": 'W/"1a56-suRCPxfItb+w1VOaohEV/pF9F+4"',
  "User-Agent": "okhttp/4.11.0",
  "x-datadog-sampling-priority": "0"
};
```

</details>

### <mark style="color:green;">GET</mark> [`api/feeds/memories-v1`](https://mobile.bereal.com/api/feeds/memories-v1)

Gets memories feed.

<details>

<summary><mark style="color:yellow;">Headers</mark></summary>

```javascript
{
  "Accept-Encoding": "gzip",
  "Authorization": "Bearer [token]",
  "bereal-app-language": "en",
  "bereal-app-version": "1.9.2",
  "bereal-app-version-code": "1548",
  "bereal-device-id": "00e1707704f65c2c",
  "bereal-device-language": "en",
  "bereal-os-version": "13",
  "bereal-platform": "android",
  "bereal-timezone": "Europe/Paris",
  "Connection": "Keep-Alive",
  "Host": "mobile.bereal.com",
  "If-None-Match": 'W/"1a56-suRCPxfItb+w1VOaohEV/pF9F+4"',
  "User-Agent": "okhttp/4.11.0",
  "x-datadog-sampling-priority": "0"
};
```

</details>

### <mark style="color:green;">GET</mark> [`api/feeds/memories-v1/videos`](https://mobile.bereal.com/api/feeds/memories/videos/)

Gets videos from memories feed.

<details>

<summary><mark style="color:yellow;">Headers</mark></summary>

```javascript
{
  "Accept-Encoding": "gzip",
  "Authorization": "Bearer [token]",
  "bereal-app-language": "en",
  "bereal-app-version": "1.9.2",
  "bereal-app-version-code": "1548",
  "bereal-device-id": "00e1707704f65c2c",
  "bereal-device-language": "en",
  "bereal-os-version": "13",
  "bereal-platform": "android",
  "bereal-timezone": "Europe/Paris",
  "Connection": "Keep-Alive",
  "Host": "mobile.bereal.com",
  "If-None-Match": 'W/"1a56-suRCPxfItb+w1VOaohEV/pF9F+4"',
  "User-Agent": "okhttp/4.11.0",
  "x-datadog-sampling-priority": "0"
};
```

</details>

### <mark style="color:green;">GET</mark> [`api/feeds/memories-v1/pinned-memories/for-user/[id]`](https://mobile.bereal.com/api/feeds/memories-v1/pinned-memories/for-user/\[id])

Gets pinned memories for a specified user.

<details>

<summary><mark style="color:yellow;">Headers</mark></summary>

```javascript
{
  "Accept-Encoding": "gzip",
  "Authorization": "Bearer [token]",
  "bereal-app-language": "en",
  "bereal-app-version": "1.9.2",
  "bereal-app-version-code": "1548",
  "bereal-device-id": "00e1707704f65c2c",
  "bereal-device-language": "en",
  "bereal-os-version": "13",
  "bereal-platform": "android",
  "bereal-timezone": "Europe/Paris",
  "Connection": "Keep-Alive",
  "Host": "mobile.bereal.com",
  "If-None-Match": 'W/"1a56-suRCPxfItb+w1VOaohEV/pF9F+4"',
  "User-Agent": "okhttp/4.11.0",
  "x-datadog-sampling-priority": "0"
};
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://fowled.gitbook.io/bereal/endpoints/feeds.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
